%define _disable_ld_no_undefined 1
%define evtlog_ver	0.2.12

%define name    syslog-ng
%define version 3.3.4
%define release %mkrel 3

%define major 0
%define libname %mklibname syslog-ng %{major}
%define develname %mklibname syslog-ng -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Syslog-ng daemon
Group:		System/Kernel and hardware
License:	GPLv2 LGPLv2+
Url:		http://www.balabit.com/products/syslog_ng/
Source0: 	http://www.balabit.com/downloads/files/syslog-ng/open-source-edition/%{version}/source/%{name}_%{version}.tar.gz
Source1:	http://www.balabit.com/support/documentation/syslog-ng-ose-v3.2-guide-admin-en.pdf
Source2:	syslog-ng.sysconfig
Source3:	syslog-ng.conf
Source4:	syslog-ng.logrotate
Source5:	syslog-ng.init
Source6:	syslog-ng.sleep
Source7:	syslog-ng.service
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	eventlog-devel >= %{evtlog_ver}
BuildRequires:	net-devel >= 1.1.3
BuildRequires:	glib2-devel
BuildRequires:	libwrap-devel
BuildRequires:	openssl-devel
BuildRequires:	dbi-devel
BuildRequires:	cap-devel
Provides:       syslog-daemon
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
Syslog-ng is a flexible and highly scalable system logging application
that is ideal for creating centralized and trusted logging solutions.
Syslog-ng enables you to send the log messages of your hosts to remote
servers using the latest protocol standards : TCP, TLS, X.509 certificates.
Syslog-ng is able to store log messages in the most popular databases :
MySQL, PostgreSQL SQLite, Oracle and MSSQL. Syslog-ng can sort the incoming
log messages based on their content and various parameters like the source
host, application, and priority. Directories, files and database tables can
be created dynamically using macros. Complex filtering using regular
expressions and boolean operators offers almost unlimited flexibility to
forward only the important log messages to the selected destinations.

%package -n %{libname}
Summary:        Libraries for %{name}
Group:          Development/C

%description -n %{libname}
The libraries for %{name}.

%package -n %develname
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel
Requires:       %{libname} = %{version}-%{release}

%description -n %develname
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}-%{version}
cp %{SOURCE1} .

%build

# XXX: workaround for the default configure paths
%define _sbindir /sbin
%define _sysconfdir /etc/syslog-ng
%define _datadir %{_usr}/share/syslog-ng
%define _libdir /%{_lib}
%define _localstatedir %{_var}/lib/syslog-ng

%configure2_5x \
	--with-pidfile-dir=%{_var}/run \
	--with-module-dir=/%{_lib}/syslog-ng \
	--enable-dynamic-linking \
	--enable-ipv6 \
	--enable-linux-caps \
	--enable-pacct \
	--enable-spoof-source \
	--enable-ssl \
	--enable-tcp-wrapper
	 # --enable-env-wrapper \
%make

%install
rm -rf %{buildroot}

%makeinstall_std

# XXX: enforce default paths
%define _sbindir /sbin
%define _sysconfdir /etc
%define _datadir /usr/share
%define _libdir /usr/%{_lib}
%define _localstatedir /var

install -d -m 755 %{buildroot}%{_sysconfdir}/syslog-ng/syslog-ng.d
install -d -m 755 %{buildroot}%{_sysconfdir}/syslog-ng/patterndb.d

install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/syslog-ng

install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/syslog-ng/syslog-ng.conf

install -d -m 755 %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644  %{SOURCE4} %{buildroot}%{_sysconfdir}/logrotate.d/syslog-ng

# init script
install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{SOURCE5} %{buildroot}%{_initrddir}/syslog-ng

install -d -m 755 %{buildroot}%{_libdir}/pm-utils/sleep.d
install -m 755 %{SOURCE6} %{buildroot}%{_libdir}/pm-utils/sleep.d/05syslog-ng

install -d -m 755 %{buildroot}%{_unitdir}
install -m 644 %{SOURCE7} %{buildroot}%{_unitdir}/syslog-ng.service

install -d -m 755 %{buildroot}%{_localstatedir}/lib/syslog-ng

rm -f %{buildroot}/%{_lib}/*.la
mv %{buildroot}/%{_lib}/pkgconfig %{buildroot}%{_libdir}/pkgconfig

mv -f %{buildroot}%{_datadir}/syslog-ng/man %{buildroot}%{_datadir}/

%clean
rm -rf %{buildroot}

%post
%_post_service %{name}
# (cg) Handle a quirk of syslog service installations
if [ -f %{_sysconfdir}/systemd/system/multi-user.target.wants/%{name}.service -a ! -f %{_sysconfdir}/systemd/system/syslog.service ]; then
  cp -a %{_sysconfdir}/systemd/system/multi-user.target.wants/%{name}.service %{_sysconfdir}/systemd/system/syslog.service
fi

%preun
%_preun_service %{name}

%files
%doc AUTHORS ChangeLog COPYING NEWS VERSION
%doc doc/security doc/xsd
%doc syslog-ng-ose-v3.2-guide-admin-en.pdf
%dir %{_sysconfdir}/syslog-ng  
%dir %{_sysconfdir}/syslog-ng/syslog-ng.d 
%dir %{_sysconfdir}/syslog-ng/patterndb.d
%dir /%{_lib}/syslog-ng
%config(noreplace) %{_sysconfdir}/syslog-ng/syslog-ng.conf  
%config(noreplace) %{_sysconfdir}/syslog-ng/modules.conf  
%config(noreplace) %{_sysconfdir}/syslog-ng/scl.conf  
%config(noreplace) %{_sysconfdir}/sysconfig/syslog-ng
%config(noreplace) %{_sysconfdir}/logrotate.d/syslog-ng
%{_initrddir}/syslog-ng
%{_unitdir}/syslog-ng.service
%{_sbindir}/syslog-ng
%{_sbindir}/syslog-ng-ctl
/%{_lib}/syslog-ng
%{_bindir}/loggen
%{_bindir}/pdbtool
%{_bindir}/update-patterndb
%{_libdir}/pm-utils/sleep.d/05syslog-ng
%{_datadir}/syslog-ng
%{_mandir}/man1/pdbtool.1*
%{_mandir}/man1/loggen.1*
%{_mandir}/man1/syslog-ng-ctl.1*
%{_mandir}/man5/syslog-ng.conf.5*
%{_mandir}/man8/syslog-ng.8*
%{_localstatedir}/lib/syslog-ng

%files -n %{libname}
/%{_lib}/libsyslog-ng-%{version}.so

%files -n %{develname}
/%{_lib}/*.so
%{_libdir}/pkgconfig/syslog-ng.pc
%{_includedir}/syslog-ng


%changelog

* Sat Apr 28 2012 tmb <tmb> 3.3.4-3.mga2
+ Revision: 233870
- Require rpm-helper >= 0.24.8-1 for systemd support

* Sat Apr 21 2012 colin <colin> 3.3.4-2.mga2
+ Revision: 232391
- Ensure syslog-ng does the necessary post install magic to enable itself under systemd

* Sun Jan 22 2012 guillomovitch <guillomovitch> 3.3.4-1.mga2
+ Revision: 199666
- new version

* Tue Nov 29 2011 guillomovitch <guillomovitch> 3.3.3-1.mga2
+ Revision: 174076
- new version

* Tue Oct 11 2011 guillomovitch <guillomovitch> 3.3.1-1.mga2
+ Revision: 153982
- new version
- systemd support

  + rapsys <rapsys>
    - Add missing directory creation rights

* Thu Jun 30 2011 rapsys <rapsys> 3.2.4-1.mga2
+ Revision: 116910
- Add syslog-ng sources
- Created package structure for syslog-ng.

